diff --git a/contrib/pg_upgrade/relfilenode.c b/contrib/pg_upgrade/relfilenode.c
new file mode 100644
index 7688914..33a867f
*** a/contrib/pg_upgrade/relfilenode.c
--- b/contrib/pg_upgrade/relfilenode.c
*************** transfer_all_new_dbs(DbInfoArr *old_db_a
*** 36,42 ****
  				new_dbnum;
  	const char *msg = NULL;
  
! 	prep_status("%s user relation files\n",
  	  user_opts.transfer_mode == TRANSFER_MODE_LINK ? "Linking" : "Copying");
  
  	/* Scan the old cluster databases and transfer their files */
--- 36,42 ----
  				new_dbnum;
  	const char *msg = NULL;
  
! 	pg_log(PG_REPORT, "%s user relation files\n",
  	  user_opts.transfer_mode == TRANSFER_MODE_LINK ? "Linking" : "Copying");
  
  	/* Scan the old cluster databases and transfer their files */
diff --git a/contrib/pg_upgrade/util.c b/contrib/pg_upgrade/util.c
new file mode 100644
index 76cd20b..1c71204
*** a/contrib/pg_upgrade/util.c
--- b/contrib/pg_upgrade/util.c
*************** pg_log(eLogType type, char *fmt,...)
*** 81,87 ****
  	if (type != PG_VERBOSE || log_opts.verbose)
  	{
  		fwrite(message, strlen(message), 1, log_opts.internal);
! 		/* if we are using OVERWRITE_MESSAGE, add newline */
  		if (strchr(message, '\r') != NULL)
  			fwrite("\n", 1, 1, log_opts.internal);
  		fflush(log_opts.internal);
--- 81,87 ----
  	if (type != PG_VERBOSE || log_opts.verbose)
  	{
  		fwrite(message, strlen(message), 1, log_opts.internal);
! 		/* if we are using OVERWRITE_MESSAGE, add newline to log file */
  		if (strchr(message, '\r') != NULL)
  			fwrite("\n", 1, 1, log_opts.internal);
  		fflush(log_opts.internal);
